# FdoILongTransactionReader Class Reference

`#include <ILongTransactionReader.h>`

Inheritance diagram for FdoILongTransactionReader:

[legend]

List of all members.

## Detailed Description

The FdoILongTransactionReader interface provides forward only, read-only functionality for enumerating long transactions. A reference to an FdoILongTransactionReader is returned from the GetLongTransactions command. The initial position of the FdoILongTransactionReader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

Definition at line 36 of file ILongTransactionReader.h.

## Public Member Functions
virtual FDO_API void | Close ()=0
| Closes the FdoILongTransactionReader object, freeing any resources it may be holding.
virtual FDO_API FdoILongTransactionReader * | GetChildren ()=0
| Provides access to the direct descendent long transactions for the long transaction being currently read. The caller can use the returned reader to get to the next level of descendents if required. The returned reader is empty if there are no descendents for the long transction.
virtual FDO_API FdoDateTime | GetCreationDate ()=0
| Retrieves the creation date of the long transaction currently being read.
virtual FDO_API FdoString * | GetDescription ()=0
| Retrieves the description of the long transaction currently being read.
virtual FDO_API FdoString * | GetName ()=0
| Retrieves the name of the long transaction currently being read.
virtual FDO_API FdoString * | GetOwner ()=0
| Retrieves the owner of the long transaction currently being read.
virtual FDO_API FdoILongTransactionReader * | GetParents ()=0
| Provides access to the direct ascendant long transactions for the long transaction being currently read. The caller can use the returned reader to get to the next level of ascendants if required. The returned reader is empty if there are no ascendants for the long transaction.
virtual FDO_API bool | IsActive ()=0
| Returns true if the long transaction currently being read is the active long transaction.
virtual FDO_API bool | IsFrozen ()=0
| Returns true if the long transaction currently being read is frozen.
virtual FDO_API bool | ReadNext ()=0
| Advances the reader to the next item. The default position of the reader is prior to the first item. Thus, you must call ReadNext to begin accessing any data.

The documentation for this class was generated from the following file:

- ILongTransactionReader.h